Subject: Re: chrp mmu and booting.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 24 Jan 2004 12:08:19 +1100

> Yeah, but in my case, i have no yaboot, and i know that these boxes are
> also capable of booting from the OF.
>
> But then, how comes the OF translate call is able to map the address 0
> to the 0x10000 address ?

If you are talking about non-IBM HW, then you can't rely on what happens
on IBM CHRP as a reference :) Any OF implementation does things differently
(and for example, Apple's one runs in virtual mode, not in real mode, thus
the translate call is useful in case you are loaded at a non-1:1 address).

What prom.c is expected to return is at what physical address the kernel
was loaded. If you have MMU off or 1:1 mapping, the reloc "offset" is
usually enough, but if OF have setup some kind of non-1:1 MMU mapping
then you need the translate call.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/